Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QKeySequence.SequenceMatch

    java.lang.Object
      java.lang.Enum<QKeySequence.SequenceMatch>
          com.trolltech.qt.gui.QKeySequence.SequenceMatch

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QKeySequence.SequenceMatch>

Enclosing class:
  QKeySequence

    public static enum QKeySequence.SequenceMatch

extends java.lang.Enum<QKeySequence.SequenceMatch>
implements QtEnumerator

Press link for info on QKeySequence.SequenceMatch

Enum Constant Summary
`ExactMatch` The key sequences are the same.
`NoMatch` The key sequences are different; not even partially matching.
`PartialMatch` The key sequences match partially, but are not the same.

Method Summary
`static QKeySequence.SequenceMatch` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QKeySequence.SequenceMatch` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QKeySequence.SequenceMatch[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoMatch

    public static final QKeySequence.SequenceMatch NoMatch

  The key sequences are different; not even partially matching.

### PartialMatch

    public static final QKeySequence.SequenceMatch PartialMatch

  The key sequences match partially, but are not the same.

### ExactMatch

    public static final QKeySequence.SequenceMatch ExactMatch

  The key sequences are the same.

Method Detail

### values

    public static final QKeySequence.SequenceMatch[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QKeySequence.SequenceMatch c : QKeySequence.SequenceMatch.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QKeySequence.SequenceMatch valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QKeySequence.SequenceMatch resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD